/*!
* @file Trap.cpp
* @brief ゲーム中のトラップを定義する
* @date 2014/01/26
* @author Deskull
* 2014 Sikabane Works.
*/

#include "stdafx.h"
#include "Trap.h"

namespace Deeangband
{
	Trap::Trap(void) : GameInstance()
	{
		this->WipeData();
	}

	Trap::Trap(std::map<TAG, std::shared_ptr<TrapBase>>::iterator trapBaseIt, Coordinates *position) : GameInstance()
	{
		this->WipeData();
		this->position = *position;
		this->trapBaseTag = trapBaseIt->first;
	}

	void Trap::WipeData(void)
	{
		this->trapBaseTag = "";
		this->position.Set(0, 0);
		this->curHP = this->maxHP = 10;
		this->difficulty = 20;
		return;
	}

	Trap::~Trap(void)
	{
		return;
	}

}